pkg rebuild -noauto oct2mat;
clc;
clear all;
close all;
ImageMatrix = imread('puppy.jpg');
figure(1); imagesc(ImageMatrix);
ImageMatrixGray = 0.2989*ImageMatrix(:,:,1) + 0.5870*ImageMatrix(:,:,2) + ImageMatrix(:,:,3);
SubImageMatrix = ImageMatrix(400:600,100:500);
figure(2);  
subplot(2,2,1); imagesc(ImageMatrix);
subplot(2,2,2); imagesc(ImageMatrixGray); colormap(gray);
subplot(2,2,3);imagesc(SubImageMatrix); 
subplot(2,2,4); imagesc(ImageMatrix); hold on; scatter(480,680,'y','o');
imwrite(ImageMatrix,'halfpuppy.jpg','jpg');
xinput = ginput(1);
disp('Pixel clicked on is');
disp(xinput);